
D4Science Infrastructure - Task #9316

Dismiss the ws-repo-test.d4science.org VM

Jul 19, 2017 03:21 PM - Andrea Dell'Amico

Status: Closed Start date: Jul 19, 2017

Priority: Low Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: A clustered workspace   

Infrastructure: Pre-Production   

Description

Do we need a cluster for preprod also, or we can use the dev nodes?

Related issues:

Related to D4Science Infrastructure - Task #9310: Dismiss the 2 VMs dedicated... Closed Jul 19, 2017

History

#1 - Jul 19, 2017 03:21 PM - Andrea Dell'Amico

- Related to Task #9310: Dismiss the 2 VMs dedicated to MongoDB Jackrabbit OAK added

#3 - Oct 02, 2017 05:21 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Can we dismiss this VM?

#4 - Oct 06, 2017 06:37 PM - Andrea Dell'Amico

Can anyone answer? 

#5 - Oct 06, 2017 07:06 PM - Costantino Perciante

As far as I know, this is the current list of jackrabbit nodes in dev/preprod:

preprod: workspace-repository-t.pre.d4science.org

dev: workspace-repository1-d.d4science.org and workspace-repository2-d.d4science.org

For sure we need another node to have jackrabbit in cluster in preprod.. your idea is to use ws-repo-test.d4science.org for preprod, isn't it?

I think we could but I'm not sure if it is still used somewhere else. @valentina.marioli@isti.cnr.it  what do you say about this?

btw I've noticed the node has high CPU load and RAM consumption and logs on catalina.out the following stuff

    at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.

java:2039)

    at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)

    at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:748)

"AccountingAggregationThread-83" #255 daemon prio=5 os_prio=0 tid=0x00007fa2381b4800 nid=0x7bc9 waiting on con

dition [0x00007fa229589000]

   java.lang.Thread.State: WAITING (parking)

    at sun.misc.Unsafe.park(Native Method)

    - parking to wait for  <0x00000006cd687d48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$Condi

tionObject)

    at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)

    at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.

java:2039)

    at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)

    at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:748)
"AccountingAggregationThread-82" #254 daemon prio=5 os_prio=0 tid=0x00007fa240036000 nid=0x7bc6 waiting on con

dition [0x00007fa22968a000]

   java.lang.Thread.State: WAITING (parking)

    at sun.misc.Unsafe.park(Native Method)

    - parking to wait for  <0x00000006cd687d48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$Condi

tionObject)

    at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)

    at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.

java:2039)

    at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)

    at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at java.lang.Thread.run(Thread.java:748)

"AccountingAggregationThread-81" #253 daemon prio=5 os_prio=0 tid=0x00007fa2381b4000 nid=0x7bc5 waiting on con

dition [0x00007fa22978b000]

   java.lang.Thread.State: WAITING (parking)

    at sun.misc.Unsafe.park(Native Method)

    - parking to wait for  <0x00000006cd687d48> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$Condi

tionObject)

    at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)

    at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.

java:2039)

    at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)

    at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

#6 - Oct 06, 2017 07:24 PM - Andrea Dell'Amico

Costantino Perciante wrote:

As far as I know, this is the current list of jackrabbit nodes in dev/preprod:

preprod: workspace-repository-t.pre.d4science.org

dev: workspace-repository1-d.d4science.org and workspace-repository2-d.d4science.org

For sure we need another node to have jackrabbit in cluster in preprod.. your idea is to use ws-repo-test.d4science.org for preprod, isn't it?

 workspace-repository-t.pre.d4science.org is the new preproduction workspace, provisioned some days ago. We never talked about a jackrabbit

cluster for preproduction and only one VM was asked for, so I assumed that we were going for a non cluster installation.

ws-repo-test.d4science.org is the one that should die.

#7 - Oct 09, 2017 01:13 PM - Massimiliano Assante

for the time being I think we can live with a non cluster preprod JCR. Even because so far we have none (actually working) even in dev as far as I

remember @costantino.perciante@isti.cnr.it . 

#8 - Oct 09, 2017 02:02 PM - Costantino Perciante

Massimiliano Assante wrote:

for the time being I think we can live with a non cluster preprod JCR. Even because so far we have none (actually working) even in dev as far as

I remember @costantino.perciante@isti.cnr.it .

 right.. in dev we have two nodes but one of them is actually up and running

#9 - Oct 09, 2017 05:53 PM - Costantino Perciante

Maybe we can just destroy this node for now

#10 - Oct 09, 2017 06:03 PM - Andrea Dell'Amico

Costantino Perciante wrote:

Maybe we can just destroy this node for now

 Yes, this is the purpose of this task. When you will need a cluster on preproduction, you'll open a new task.

If workspace-repository-t.pre.d4science.org is in use, I'm going to kill the old node.
#11 - Oct 11, 2017 11:27 AM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The node has been shut down.
